org.eclipse.viatra.integration.zest.viewer

## Class ModifiableZestContentViewer

- java.lang.Object
- - org.eclipse.jface.viewers.Viewer
  - - org.eclipse.jface.viewers.ContentViewer
    - - org.eclipse.viatra.integration.zest.viewer.ZestContentViewer
      - - org.eclipse.viatra.integration.zest.viewer.ModifiableZestContentViewer

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

      public class ModifiableZestContentViewer
      extends ZestContentViewer

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.integration.zest.viewer.ZestContentViewer

      `contentEdgeMap, contentNodeMap`

    - ### Fields inherited from class org.eclipse.jface.viewers.Viewer

      `WIDGET_DATA_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiableZestContentViewer()`
    `ModifiableZestContentViewer(com.google.inject.Module module)`
    `ModifiableZestContentViewer(org.eclipse.gef.zest.fx.jface.ZestFxJFaceModule module)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEdge(java.lang.Object contentEdge)`
    `void` | `addNode(java.lang.Object contentNode)`
    `void` | `removeEdge(java.lang.Object contentEdge)`
    `void` | `removeNode(java.lang.Object contentNode)`

    - ### Methods inherited from class org.eclipse.viatra.integration.zest.viewer.ZestContentViewer

      `createCanvas, createControl, createEdge, createEdge, createEmptyGraph, createNestedGraph, createNestedGraph, createNestedGraph, createNode, createNodesAndEdges, createNodesAndEdges, createNodesAndEdges, createNodesAndEdges, createRootGraph, getContentNodeMap, getControl, getFXViewer, getLabelProvider, getLayoutAlgorithm, getRootGraph, getSelection, getSelectionModel, handleDispose, inputChanged, refresh, setLayoutAlgorithm, setSelection, toCssRgb`

    - ### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

      `getContentProvider, getInput, handleLabelProviderChanged, hookControl, labelProviderChanged, setContentProvider, setInput, setLabelProvider`

    - ### Methods inherited from class org.eclipse.jface.viewers.Viewer

      `addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiableZestContentViewer

          public ModifiableZestContentViewer()

    - #### ModifiableZestContentViewer

          public ModifiableZestContentViewer(com.google.inject.Module module)

    - #### ModifiableZestContentViewer

          public ModifiableZestContentViewer(org.eclipse.gef.zest.fx.jface.ZestFxJFaceModule module)

  - ### Method Detail

    - #### addNode

          public void addNode(java.lang.Object contentNode)

    - #### removeNode

          public void removeNode(java.lang.Object contentNode)

    - #### addEdge

          public void addEdge(java.lang.Object contentEdge)

    - #### removeEdge

          public void removeEdge(java.lang.Object contentEdge)